# BankStack

## [v2022.1](https://github.com/kemayo/wow-bankstack/tree/v2022.1) (2022-11-12)
[Full Changelog](https://github.com/kemayo/wow-bankstack/compare/v2022.0...v2022.1) [Previous Releases](https://github.com/kemayo/wow-bankstack/releases)

- Use new addon-hooking for my classic Inventorian hook  
- Don't rely on GUILDBANKFRAME\_OPENED/CLOSED events  
    10.0.2 doesn't fire them any more. As such, use a slightly fancier way  
    to track the guild bank opening/closing.  
- When sorting use item links to fetch item-data, fixing SL legendaries  
    This is because the SL legendaries entire appearance is based on their  
    item metadata. The itemid is for the precursor, so previous method  
    sorted inaccurately.  
- Fix currently-broken constants in retail preventing bank stacking  
    Blizzard has several unreliable constants currently, mostly because they  
    don't consider the new reagent bag having bumped some bag slot IDs down.  
    Fixes #3  
- Update luacheck  
- Dragonflight TOC  
- Dragonflight initial compatibility  
    Haven't done thorough testing yet, but this makes /sort work at least  
- Update packager  
- Bump TOCs  
- Don't use IsValid helper because it's not present in classic  
- Check whether there's an item in a slot before checking for soulbound  
    Refs #2  
- Fix a luacheck complaint about equality testing  
    This hasn't changed in ages, but luacheck added it in a recent version  
- Fix error when sorting guild banks  
    ItemLocation for IsBound was invalid because guild bank doesn't have  
    real bagids.  
    Also, optimize this because soulbound and conjured items can't be put  
    in a guild bank and we can skip the checks entirely.  
    Fixes #2  
- Revert "Remove unnecessary packager option"  
    It's actually useful for changelog generation.  
- Use the new(ish) C\_Item API to detect soulbound items  
- Remove unnecessary packager option  
